Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IParticleTrajectory

    java.lang.Object
      igeo.IObject
          igeo.IAgent
              igeo.IPointAgent
                  igeo.IParticle
                      igeo.IParticleTrajectory

All Implemented Interfaces:
  IArithmeticVal<IVecI,IDoubleI>, IDynamics, IParameter, IParticleI, ISubobject, ITrajectoryI, ITransformable, IVal, IVecI, IVecOp

    public class IParticleTrajectory

extends IParticle
implements ITrajectoryI

Particle agent with trajectory curve.

Author:
  Satoru Sugihara

Field Summary
`ITrajectoryGeo` | `trajectory`

Fields inherited from class igeo.IParticle
`frc, particle, vel`

Fields inherited from class igeo.IPointAgent
`point, pos, tracker`

Fields inherited from class igeo.IAgent
`alive, duration, interactOverridden, localDynamics, parent, targets, time`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Constructor Summary
`IParticleTrajectory()`
`IParticleTrajectory(double x, double y, double z)`
`IParticleTrajectory(double x, double y, double z, double vx, double vy, double vz)`
`IParticleTrajectory(IGeometry... geometries)`
`IParticleTrajectory(IParticle p)`
`IParticleTrajectory(IParticleGeo ptcl)`
`IParticleTrajectory(IParticleGeo ptcl, IVecI vel)`
`IParticleTrajectory(IParticle p, IVecI vel)`
`IParticleTrajectory(IVec p)`
`IParticleTrajectory(IVecI p)`
`IParticleTrajectory(IVecI geometryOrigin, IGeometry... geometries)`
`IParticleTrajectory(IVecI p, IVecI vel)`
`IParticleTrajectory(IVecI geometryOrigin, IVecI geometryOrientation, IGeometry... geometries)`
`IParticleTrajectory(IVec p, IVec vel)`

Method Summary
`IParticleTrajectory` | `add(double x, double y, double z)`
`IParticleTrajectory` | `add(double f, IVecI v)` scale add
`IParticleTrajectory` | `add(IDoubleI x, IDoubleI y, IDoubleI z)`
`IParticleTrajectory` | `add(IDoubleI f, IVecI v)` scale add
`IParticleTrajectory` | `add(IVecI v)`
`IParticleTrajectory` | `add(IVecI v, double f)` scale add
`IParticleTrajectory` | `add(IVecI v, IDoubleI f)` scale add
`IParticleTrajectory` | `addCP(IVecI pt)` add a point at the end of trajectory curve
`IParticleTrajectory` | `addForce(double fx, double fy, double fz)` alias of push
`IParticleTrajectory` | `addForce(IVecI f)` alias of push
`IParticleTrajectory` | `attach(IGeometry... geometries)` attach geometry object to agent to track its location.
`IParticleTrajectory` | `attach(IVecI geometryOrigin, IGeometry... geometries)` attach geometry object to agent to track its location.
`IParticleTrajectory` | `attach(IVecI geometryOrigin, IVecI geometryOrientation, IGeometry... geometries)` attach geometry object to agent to track its location.
`IParticleTrajectory` | `clr(double dgray)`
`IParticleTrajectory` | `clr(double dgray, double dalpha)`
`IParticleTrajectory` | `clr(double dr, double dg, double db)`
`IParticleTrajectory` | `clr(double dr, double dg, double db, double da)`
`IParticleTrajectory` | `clr(float fgray)`
`IParticleTrajectory` | `clr(float fgray, float falpha)`
`IParticleTrajectory` | `clr(float fr, float fg, float fb)`
`IParticleTrajectory` | `clr(float fr, float fg, float fb, float fa)`
`IParticleTrajectory` | `clr(IColor c)` to set an object color
`IParticleTrajectory` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
`IParticleTrajectory` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
`IParticleTrajectory` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
`IParticleTrajectory` | `clr(int gray)`
`IParticleTrajectory` | `clr(int gray, int alpha)`
`IParticleTrajectory` | `clr(int r, int g, int b)`
`IParticleTrajectory` | `clr(int r, int g, int b, int a)`
`IParticleTrajectory` | `clr(IObject o)` to set the same color with the object
`IParticleTrajectory` | `cp()` alias of dup()
`IParticleTrajectory` | `cp(double x, double y, double z)` cp() is alias of dup().add()
`IParticleTrajectory` | `cp(IDoubleI x, IDoubleI y, IDoubleI z)` cp() is alias of dup().add()
`IParticleTrajectory` | `cp(IVecI v)` cp() is alias of dup().add()
`ICurve` | `curve()` get trajectory curve
`IParticleTrajectory` | `decay(double d)`
`int` | `deg()`
`IParticleTrajectory` | `deg(int newDegree)`
`void` | `del()` delete agent and stop it by removing it from dynamics server
`void` | `del(boolean deleteTrajectory)` stop agent with option of deleting/keeping the geometry the agent owns
`IParticleTrajectory` | `div(double v)`
`IParticleTrajectory` | `div(IDoubleI v)`
`IParticleTrajectory` | `dup()` duplicate object
`IParticleTrajectory` | `fix()` IParticleI API
`IParticleTrajectory` | `flip()` alias of neg()
`IParticleTrajectory` | `force(IVecI v)` set force
`IParticleTrajectory` | `frc(IVecI v)` set force
`IParticleTrajectory` | `fric(double friction)` set friction
`IParticleTrajectory` | `friction(double friction)` set friction
`IParticleTrajectory` | `hide()`
`IParticleTrajectory` | `hideGeometry()` hide attached geometry
`IParticleTrajectory` | `hidePoint()`
`IParticleTrajectory` | `hideTrajectory()`
`IParticleTrajectory` | `hsb(double h, double s, double b)`
`IParticleTrajectory` | `hsb(double h, double s, double b, double a)`
`IParticleTrajectory` | `hsb(float h, float s, float b)`
`IParticleTrajectory` | `hsb(float h, float s, float b, float a)`
`void` | `initTrajectory()`
`IParticleTrajectory` | `layer(ILayer l)` Set layer by ILayer object
`IParticleTrajectory` | `len(double l)` setting length
`IParticleTrajectory` | `len(IDoubleI l)` setting length
`IParticleTrajectory` | `mass(double mass)` set mass
`IParticleTrajectory` | `mirror(double planeX, double planeY, double planeZ)` alias of ref
`IParticleTrajectory` | `mirror(double centerX, double centerY, double centerZ, double planeX, double planeY, double planeZ)` alias of ref
`IParticleTrajectory` | `mirror(IVecI planeDir)` alias of ref
`IParticleTrajectory` | `mirror(IVecI center, IVecI planeDir)` alias of ref
`IParticleTrajectory` | `mul(double v)`
`IParticleTrajectory` | `mul(IDoubleI v)`
`IParticleTrajectory` | `mv(double x, double y, double z)` mv() is alias of add()
`IParticleTrajectory` | `mv(IDoubleI x, IDoubleI y, IDoubleI z)` mv() is alias of add()
`IParticleTrajectory` | `mv(IVecI v)` mv() is alias of add()
`IParticleTrajectory` | `name(java.lang.String nm)` methods of IObject
`IParticleTrajectory` | `neg()`
`IParticleTrajectory` | `pos(IVecI v)` set position
`IParticleTrajectory` | `position(IVecI v)` set position
`IParticleTrajectory` | `pull(double fx, double fy, double fz)` equivalent to push(f.dup().neg())
`IParticleTrajectory` | `pull(IVecI f)` equivalent to push(f.dup().neg())
`IParticleTrajectory` | `push(double fx, double fy, double fz)` adding force to particle
`IParticleTrajectory` | `push(IVecI f)` adding force to particle
`IParticleTrajectory` | `ref(double planeX, double planeY, double planeZ)` reflect(mirror) 3 dimensionally to the other side of the plane
`IParticleTrajectory` | `ref(double centerX, double centerY, double centerZ, double planeX, double planeY, double planeZ)` reflect(mirror) 3 dimensionally to the other side of the plane
`IParticleTrajectory` | `ref(IVecI planeDir)` reflect(mirror) 3 dimensionally to the other side of the plane
`IParticleTrajectory` | `ref(IVecI center, IVecI planeDir)` reflect(mirror) 3 dimensionally to the other side of the plane
`IParticleTrajectory` | `removeTarget(int i)` remove target object.
`IParticleTrajectory` | `removeTarget(IObject obj)` remove target object.
`IParticleTrajectory` | `reset()` setting force zero
`IParticleTrajectory` | `resetForce()` alias of reset
`IParticleTrajectory` | `rev()` alias of neg()
`IParticleTrajectory` | `rot(double angle)` rotation on XY plane
`IParticleTrajectory` | `rot(double axisX, double axisY, double axisZ, double angle)` rotation around axis vector
`IParticleTrajectory` | `rot(double centerX, double centerY, double centerZ, double axisX, double axisY, double axisZ, double angle)` rotation around axis vector and center point
`IParticleTrajectory` | `rot(IDoubleI angle)` rotation on XY plane
`IParticleTrajectory` | `rot(IVecI axis, double angle)` rotation around axis vector
`IParticleTrajectory` | `rot(IVecI axis, IDoubleI angle)` rotation around axis vector
`IParticleTrajectory` | `rot(IVecI axis, IVecI destDir)` rotate to destination direction vector
`IParticleTrajectory` | `rot(IVecI center, IVecI axis, double angle)` rotation around axis vector and center point
`IParticleTrajectory` | `rot(IVecI center, IVecI axis, IDoubleI angle)` rotation around axis vector and center point
`IParticleTrajectory` | `rot(IVecI center, IVecI axis, IVecI destPt)` rotate to destination point location
`IParticleTrajectory` | `rot2(double angle)` rotation on xy-plane; alias of rot(double)
`IParticleTrajectory` | `rot2(double centerX, double centerY, double angle)` rotation on xy-plane
`IParticleTrajectory` | `rot2(IDoubleI angle)` rotation on xy-plane; alias of rot(IDoubleI)
`IParticleTrajectory` | `rot2(IVecI destDir)` rotation on xy-plane towards destDir
`IParticleTrajectory` | `rot2(IVecI center, double angle)` rotation on xy-plane
`IParticleTrajectory` | `rot2(IVecI center, IDoubleI angle)` rotation on xy-plane
`IParticleTrajectory` | `rot2(IVecI center, IVecI destPt)` rotation on xy-plane towards destPt
`IParticleTrajectory` | `scale(double f)` alias of mul
`IParticleTrajectory` | `scale(double centerX, double centerY, double centerZ, double f)` scale from a center
`IParticleTrajectory` | `scale(IDoubleI f)` alias of mul
`IParticleTrajectory` | `scale(IVecI center, double f)` scale from a center
`IParticleTrajectory` | `scale(IVecI center, IDoubleI f)` scale from a center
`IParticleTrajectory` | `scale1d(double axisX, double axisY, double axisZ, double f)` scale only in 1 direction
`IParticleTrajectory` | `scale1d(double centerX, double centerY, double centerZ, double axisX, double axisY, double axisZ, double f)` scale only in 1 direction from a center
`IParticleTrajectory` | `scale1d(IVecI axis, double f)` scale only in 1 direction
`IParticleTrajectory` | `scale1d(IVecI axis, IDoubleI f)` scale only in 1 direction
`IParticleTrajectory` | `scale1d(IVecI center, IVecI axis, double f)` scale only in 1 direction from a center
`IParticleTrajectory` | `scale1d(IVecI center, IVecI axis, IDoubleI f)` scale only in 1 direction from a center
`IParticleTrajectory` | `set(double x, double y, double z)`
`IParticleTrajectory` | `set(IDoubleI x, IDoubleI y, IDoubleI z)`
`IParticleTrajectory` | `set(IVecI v)`
`IParticleTrajectory` | `setColor(double dgray)`
`IParticleTrajectory` | `setColor(double dgray, double dalpha)`
`IParticleTrajectory` | `setColor(double dr, double dg, double db)`
`IParticleTrajectory` | `setColor(double dr, double dg, double db, double da)`
`IParticleTrajectory` | `setColor(float fgray)`
`IParticleTrajectory` | `setColor(float fgray, float falpha)`
`IParticleTrajectory` | `setColor(float fr, float fg, float fb)`
`IParticleTrajectory` | `setColor(float fr, float fg, float fb, float fa)`
`IParticleTrajectory` | `setColor(IColor c)`
`IParticleTrajectory` | `setColor(IColor c, double alpha)`
`IParticleTrajectory` | `setColor(IColor c, float alpha)`
`IParticleTrajectory` | `setColor(IColor c, int alpha)`
`IParticleTrajectory` | `setColor(int gray)`
`IParticleTrajectory` | `setColor(int gray, int alpha)`
`IParticleTrajectory` | `setColor(int r, int g, int b)`
`IParticleTrajectory` | `setColor(int r, int g, int b, int a)`
`IParticleTrajectory` | `setHSBColor(double h, double s, double b)`
`IParticleTrajectory` | `setHSBColor(double h, double s, double b, double a)`
`IParticleTrajectory` | `setHSBColor(float h, float s, float b)`
`IParticleTrajectory` | `setHSBColor(float h, float s, float b, float a)`
`IParticleTrajectory` | `setSize(double sz)` methods of IPoint
`IParticleTrajectory` | `shear(double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`IParticleTrajectory` | `shear(IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)` shear operation
`IParticleTrajectory` | `shear(IVecI center, double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`IParticleTrajectory` | `shear(IVecI center, IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)` shear operation
`IParticleTrajectory` | `shearXY(double sxy, double syx)` shear operation on XY
`IParticleTrajectory` | `shearXY(IDoubleI sxy, IDoubleI syx)` shear operation on XY
`IParticleTrajectory` | `shearXY(IVecI center, double sxy, double syx)` shear operation on XY
`IParticleTrajectory` | `shearXY(IVecI center, IDoubleI sxy, IDoubleI syx)` shear operation on XY
`IParticleTrajectory` | `shearYZ(double syz, double szy)` shear operation on YZ
`IParticleTrajectory` | `shearYZ(IDoubleI syz, IDoubleI szy)` shear operation on YZ
`IParticleTrajectory` | `shearYZ(IVecI center, double syz, double szy)` shear operation on YZ
`IParticleTrajectory` | `shearYZ(IVecI center, IDoubleI syz, IDoubleI szy)` shear operation on YZ
`IParticleTrajectory` | `shearZX(double szx, double sxz)` shear operation on ZX
`IParticleTrajectory` | `shearZX(IDoubleI szx, IDoubleI sxz)` shear operation on ZX
`IParticleTrajectory` | `shearZX(IVecI center, double szx, double sxz)` shear operation on ZX
`IParticleTrajectory` | `shearZX(IVecI center, IDoubleI szx, IDoubleI sxz)` shear operation on ZX
`IParticleTrajectory` | `show()`
`IParticleTrajectory` | `showGeometry()` show attached geometry
`IParticleTrajectory` | `showPoint()`
`IParticleTrajectory` | `showTrajectory()`
`IParticleTrajectory` | `size(double sz)`
`IParticleTrajectory` | `sub(double x, double y, double z)`
`IParticleTrajectory` | `sub(IDoubleI x, IDoubleI y, IDoubleI z)`
`IParticleTrajectory` | `sub(IVecI v)`
`IParticleTrajectory` | `target(IObject targetObj)` add terget object to be updated by this dynamic object.
`ICurve` | `trajectory()` alias of curve()
`IParticleTrajectory` | `transform(IMatrix3I mat)` transform with a transformation matrix
`IParticleTrajectory` | `transform(IMatrix4I mat)` transform with a transformation matrix
`IParticleTrajectory` | `transform(IVecI xvec, IVecI yvec, IVecI zvec)` transform with a transformation vectors
`IParticleTrajectory` | `transform(IVecI xvec, IVecI yvec, IVecI zvec, IVecI translate)` transform with a transformation vectors
`IParticleTrajectory` | `translate(double x, double y, double z)` alias of add()
`IParticleTrajectory` | `translate(IDoubleI x, IDoubleI y, IDoubleI z)` alias of add()
`IParticleTrajectory` | `translate(IVecI v)` alias of add()
`IParticleTrajectory` | `unfix()` unfix movement
`IParticleTrajectory` | `unit()` unitize
`IParticleTrajectory` | `vel(IVecI v)` set velocity
`IParticleTrajectory` | `velocity(IVecI v)` set velocity
`IParticleTrajectory` | `weight(double w)`
`IParticleTrajectory` | `weight(float w)`
`IParticleTrajectory` | `x(double vx)` methods of IVecI
`IParticleTrajectory` | `x(IDoubleI vx)` setting x component
`IParticleTrajectory` | `y(double vy)` setting y component
`IParticleTrajectory` | `y(IDoubleI vy)` setting y component
`IParticleTrajectory` | `z(double vz)` setting z component
`IParticleTrajectory` | `z(IDoubleI vz)` setting z component
`IParticleTrajectory` | `zero()` setting all zero

Methods inherited from class igeo.IParticle
`acc, acceleration, decay, fixed, force, frc, fric, friction, initParticleAgent, initParticleAgent, initParticleAgent, initParticleAgent, initParticleAgent, mass, pos, position, skipUpdateOnce, skipUpdateOnce, vel, velocity, x, x, y, y, z`

Methods inherited from class igeo.IPointAgent
`angle, angle, angle, angle, angle, angle, angle, angle, bisect, bisect, brep, brep, brepNum, breps, cross, cross, curve, curveNum, curves, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, dot, dot, dot, dot, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, geometries, geometry, geometry, geometryNum, get, getSize, getX, getY, getZ, isValid, len, len, len, len2, len2, len2, mesh, mesh, meshes, meshNum, mid, mid, nml, nml, nml, nml, point, point, pointNum, points, size, sum, sum, sum, sum, sum, sum, sum, surface, surface, surfaceNum, surfaces, to2d, to2d, to2d, to2d, to4d, to4d, to4d, toString, x, x, x, y, y, y, z, z, z`

Methods inherited from class igeo.IAgent
`addDynamics, alive, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, initAgent, interact, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, target, targetNum, targets, time, time, update, updateGraphic, updateTarget`

Methods inherited from class igeo.IObject
`addUserData, addUserData, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, clr, clr, clr, clr, createGraphic, defaultAttribute, deleteGraphic, getAWTColor, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isVisible, layer, layer, name, red, redInt, resetGraphic, saturation, server, setColor, setColor, setColor, setColor, setParameter, syncColor, syncGraphic, syncVisibility, syncWeight, userData, userData, userData, userDataNum, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface igeo.IParticleI
`target, targetNum, targets, updateTarget`

Methods inherited from interface igeo.IVecI
`angle, angle, angle, angle, angle, angle, angle, angle, bisect, bisect, cross, cross, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, dot, dot, dot, dot, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, get, getX, getY, getZ, isValid, len, len, len, len2, len2, len2, mid, mid, nml, nml, nml, nml, sum, sum, sum, sum, sum, sum, sum, to2d, to2d, to2d, to2d, to4d, to4d, to4d, x, x, x, y, y, y, z, z, z`

Field Detail

### trajectory

    public ITrajectoryGeo trajectory

Constructor Detail

### IParticleTrajectory

    public IParticleTrajectory()

### IParticleTrajectory

    public IParticleTrajectory(double x,
                               double y,
                               double z)

### IParticleTrajectory

    public IParticleTrajectory(IVec p)

### IParticleTrajectory

    public IParticleTrajectory(IVecI p)

### IParticleTrajectory

    public IParticleTrajectory(IParticleGeo ptcl)

### IParticleTrajectory

    public IParticleTrajectory(IParticle p)

### IParticleTrajectory

    public IParticleTrajectory(double x,
                               double y,
                               double z,
                               double vx,
                               double vy,
                               double vz)

### IParticleTrajectory

    public IParticleTrajectory(IVec p,
                               IVec vel)

### IParticleTrajectory

    public IParticleTrajectory(IVecI p,
                               IVecI vel)

### IParticleTrajectory

    public IParticleTrajectory(IParticleGeo ptcl,
                               IVecI vel)

### IParticleTrajectory

    public IParticleTrajectory(IParticle p,
                               IVecI vel)

### IParticleTrajectory

    public IParticleTrajectory(IGeometry... geometries)

### IParticleTrajectory

    public IParticleTrajectory(IVecI geometryOrigin,
                               IGeometry... geometries)

### IParticleTrajectory

    public IParticleTrajectory(IVecI geometryOrigin,
                               IVecI geometryOrientation,
                               IGeometry... geometries)

Method Detail

### initTrajectory

    public void initTrajectory()

### deg

    public int deg()

### deg

    public IParticleTrajectory deg(int newDegree)

### curve

    public ICurve curve()

  get trajectory curve

  Specified by:
    `curve` in interface `ITrajectoryI`
  Overrides:
    `curve` in class `IPointAgent`

### trajectory

    public ICurve trajectory()

  alias of curve()

  Specified by:
    `trajectory` in interface `ITrajectoryI`

### addCP

    public IParticleTrajectory addCP(IVecI pt)

  Description copied from interface: `ITrajectoryI`
  add a point at the end of trajectory curve

  Specified by:
    `addCP` in interface `ITrajectoryI`

### fix

    public IParticleTrajectory fix()

  IParticleI API

  Specified by:
    `fix` in interface `IParticleI`
  Overrides:
    `fix` in class `IParticle`

### unfix

    public IParticleTrajectory unfix()

  Description copied from interface: `IParticleI`
  unfix movement

  Specified by:
    `unfix` in interface `IParticleI`
  Overrides:
    `unfix` in class `IParticle`

### mass

    public IParticleTrajectory mass(double mass)

  Description copied from interface: `IParticleI`
  set mass

  Specified by:
    `mass` in interface `IParticleI`
  Overrides:
    `mass` in class `IParticle`

### position

    public IParticleTrajectory position(IVecI v)

  Description copied from interface: `IParticleI`
  set position

  Specified by:
    `position` in interface `IParticleI`
  Overrides:
    `position` in class `IParticle`

### pos

    public IParticleTrajectory pos(IVecI v)

  Description copied from interface: `IParticleI`
  set position

  Specified by:
    `pos` in interface `IParticleI`
  Overrides:
    `pos` in class `IParticle`

### velocity

    public IParticleTrajectory velocity(IVecI v)

  Description copied from interface: `IParticleI`
  set velocity

  Specified by:
    `velocity` in interface `IParticleI`
  Overrides:
    `velocity` in class `IParticle`

### vel

    public IParticleTrajectory vel(IVecI v)

  Description copied from interface: `IParticleI`
  set velocity

  Specified by:
    `vel` in interface `IParticleI`
  Overrides:
    `vel` in class `IParticle`

### force

    public IParticleTrajectory force(IVecI v)

  Description copied from interface: `IParticleI`
  set force

  Specified by:
    `force` in interface `IParticleI`
  Overrides:
    `force` in class `IParticle`

### frc

    public IParticleTrajectory frc(IVecI v)

  Description copied from interface: `IParticleI`
  set force

  Specified by:
    `frc` in interface `IParticleI`
  Overrides:
    `frc` in class `IParticle`

### friction

    public IParticleTrajectory friction(double friction)

  Description copied from interface: `IParticleI`
  set friction

  Specified by:
    `friction` in interface `IParticleI`
  Overrides:
    `friction` in class `IParticle`

### fric

    public IParticleTrajectory fric(double friction)

  Description copied from interface: `IParticleI`
  set friction

  Specified by:
    `fric` in interface `IParticleI`
  Overrides:
    `fric` in class `IParticle`

### decay

    public IParticleTrajectory decay(double d)

  Specified by:
    `decay` in interface `IParticleI`
  Overrides:
    `decay` in class `IParticle`

### push

    public IParticleTrajectory push(IVecI f)

  Description copied from interface: `IParticleI`
  adding force to particle

  Specified by:
    `push` in interface `IParticleI`
  Overrides:
    `push` in class `IParticle`

### push

    public IParticleTrajectory push(double fx,
                                    double fy,
                                    double fz)

  Description copied from interface: `IParticleI`
  adding force to particle

  Specified by:
    `push` in interface `IParticleI`
  Overrides:
    `push` in class `IParticle`

### pull

    public IParticleTrajectory pull(IVecI f)

  Description copied from interface: `IParticleI`
  equivalent to push(f.dup().neg())

  Specified by:
    `pull` in interface `IParticleI`
  Overrides:
    `pull` in class `IParticle`

### pull

    public IParticleTrajectory pull(double fx,
                                    double fy,
                                    double fz)

  Description copied from interface: `IParticleI`
  equivalent to push(f.dup().neg())

  Specified by:
    `pull` in interface `IParticleI`
  Overrides:
    `pull` in class `IParticle`

### addForce

    public IParticleTrajectory addForce(IVecI f)

  Description copied from interface: `IParticleI`
  alias of push

  Specified by:
    `addForce` in interface `IParticleI`
  Overrides:
    `addForce` in class `IParticle`

### addForce

    public IParticleTrajectory addForce(double fx,
                                        double fy,
                                        double fz)

  Description copied from interface: `IParticleI`
  alias of push

  Specified by:
    `addForce` in interface `IParticleI`
  Overrides:
    `addForce` in class `IParticle`

### reset

    public IParticleTrajectory reset()

  Description copied from interface: `IParticleI`
  setting force zero

  Specified by:
    `reset` in interface `IParticleI`
  Overrides:
    `reset` in class `IParticle`

### resetForce

    public IParticleTrajectory resetForce()

  Description copied from interface: `IParticleI`
  alias of reset

  Specified by:
    `resetForce` in interface `IParticleI`
  Overrides:
    `resetForce` in class `IParticle`

### attach

    public IParticleTrajectory attach(IGeometry... geometries)

  attach geometry object to agent to track its location.

  Overrides:
    `attach` in class `IParticle`
  Parameters:
    `geometries` - one or more geometry objects. object's center is moved to the agent's location.

### attach

    public IParticleTrajectory attach(IVecI geometryOrigin,
                                      IGeometry... geometries)

  attach geometry object to agent to track its location.

  Overrides:
    `attach` in class `IParticle`
  Parameters:
    `geometryOrigin` - origin of geometry object which is moved to the agent's location.
    `geometries` - one or more geometry objects.

### attach

    public IParticleTrajectory attach(IVecI geometryOrigin,
                                      IVecI geometryOrientation,
                                      IGeometry... geometries)

  attach geometry object to agent to track its location.

  Overrides:
    `attach` in class `IParticle`
  Parameters:
    `geometryOrigin` - origin of geometry object which is moved to the agent's location.
    `geometryOrientation` - original orientation of geometry which is matched with particle's velocity direction; if its's null, orientatin matching is disabled.
    `geometries` - one or more geometry objects.

### x

    public IParticleTrajectory x(double vx)

  methods of IVecI

  Specified by:
    `x` in interface `IVecI`
  Overrides:
    `x` in class `IParticle`

### y

    public IParticleTrajectory y(double vy)

  Description copied from interface: `IVecI`
  setting y component

  Specified by:
    `y` in interface `IVecI`
  Overrides:
    `y` in class `IParticle`

### z

    public IParticleTrajectory z(double vz)

  Description copied from interface: `IVecI`
  setting z component

  Specified by:
    `z` in interface `IVecI`
  Overrides:
    `z` in class `IParticle`

### x

    public IParticleTrajectory x(IDoubleI vx)

  Description copied from interface: `IVecI`
  setting x component

  Specified by:
    `x` in interface `IVecI`
  Overrides:
    `x` in class `IParticle`

### y

    public IParticleTrajectory y(IDoubleI vy)

  Description copied from interface: `IVecI`
  setting y component

  Specified by:
    `y` in interface `IVecI`
  Overrides:
    `y` in class `IParticle`

### z

    public IParticleTrajectory z(IDoubleI vz)

  Description copied from interface: `IVecI`
  setting z component

  Specified by:
    `z` in interface `IVecI`
  Overrides:
    `z` in class `IParticle`

### dup

    public IParticleTrajectory dup()

  Description copied from class: `IObject`
  duplicate object

  Specified by:
    `dup` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `dup` in interface `ITransformable`
  Specified by:
    `dup` in interface `IVecI`
  Overrides:
    `dup` in class `IParticle`

### set

    public IParticleTrajectory set(IVecI v)

  Specified by:
    `set` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IParticle`

### set

    public IParticleTrajectory set(double x,
                                   double y,
                                   double z)

  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IParticle`

### set

    public IParticleTrajectory set(IDoubleI x,
                                   IDoubleI y,
                                   IDoubleI z)

  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IParticle`

### add

    public IParticleTrajectory add(double x,
                                   double y,
                                   double z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### add

    public IParticleTrajectory add(IDoubleI x,
                                   IDoubleI y,
                                   IDoubleI z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### add

    public IParticleTrajectory add(IVecI v)

  Specified by:
    `add` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### sub

    public IParticleTrajectory sub(double x,
                                   double y,
                                   double z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IParticle`

### sub

    public IParticleTrajectory sub(IDoubleI x,
                                   IDoubleI y,
                                   IDoubleI z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IParticle`

### sub

    public IParticleTrajectory sub(IVecI v)

  Specified by:
    `sub` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IParticle`

### mul

    public IParticleTrajectory mul(IDoubleI v)

  Specified by:
    `mul` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`
  Overrides:
    `mul` in class `IParticle`

### mul

    public IParticleTrajectory mul(double v)

  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`
  Overrides:
    `mul` in class `IParticle`

### div

    public IParticleTrajectory div(IDoubleI v)

  Specified by:
    `div` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`
  Overrides:
    `div` in class `IParticle`

### div

    public IParticleTrajectory div(double v)

  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`
  Overrides:
    `div` in class `IParticle`

### neg

    public IParticleTrajectory neg()

  Specified by:
    `neg` in interface `ITransformable`
  Specified by:
    `neg` in interface `IVecI`
  Overrides:
    `neg` in class `IParticle`

### rev

    public IParticleTrajectory rev()

  Description copied from interface: `IVecI`
  alias of neg()

  Specified by:
    `rev` in interface `IVecI`
  Overrides:
    `rev` in class `IParticle`

### flip

    public IParticleTrajectory flip()

  Description copied from interface: `IVecI`
  alias of neg()

  Specified by:
    `flip` in interface `ITransformable`
  Specified by:
    `flip` in interface `IVecI`
  Overrides:
    `flip` in class `IParticle`

### zero

    public IParticleTrajectory zero()

  Description copied from interface: `IVecI`
  setting all zero

  Specified by:
    `zero` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `zero` in interface `IVecI`
  Overrides:
    `zero` in class `IParticle`

### add

    public IParticleTrajectory add(IVecI v,
                                   double f)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### add

    public IParticleTrajectory add(IVecI v,
                                   IDoubleI f)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### add

    public IParticleTrajectory add(double f,
                                   IVecI v)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### add

    public IParticleTrajectory add(IDoubleI f,
                                   IVecI v)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### len

    public IParticleTrajectory len(IDoubleI l)

  Description copied from interface: `IVecI`
  setting length

  Specified by:
    `len` in interface `IVecI`
  Overrides:
    `len` in class `IParticle`

### len

    public IParticleTrajectory len(double l)

  Description copied from interface: `IVecI`
  setting length

  Specified by:
    `len` in interface `IVecI`
  Overrides:
    `len` in class `IParticle`

### unit

    public IParticleTrajectory unit()

  Description copied from interface: `IVecI`
  unitize

  Specified by:
    `unit` in interface `IVecI`
  Overrides:
    `unit` in class `IParticle`

### rot

    public IParticleTrajectory rot(IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation on XY plane

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleTrajectory rot(double angle)

  Description copied from interface: `IVecI`
  rotation on XY plane

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleTrajectory rot(IVecI axis,
                                   IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleTrajectory rot(IVecI axis,
                                   double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleTrajectory rot(double axisX,
                                   double axisY,
                                   double axisZ,
                                   double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleTrajectory rot(IVecI center,
                                   IVecI axis,
                                   double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleTrajectory rot(IVecI center,
                                   IVecI axis,
                                   IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleTrajectory rot(double centerX,
                                   double centerY,
                                   double centerZ,
                                   double axisX,
                                   double axisY,
                                   double axisZ,
                                   double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleTrajectory rot(IVecI axis,
                                   IVecI destDir)

  Description copied from interface: `IVecI`
  rotate to destination direction vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleTrajectory rot(IVecI center,
                                   IVecI axis,
                                   IVecI destPt)

  Description copied from interface: `IVecI`
  rotate to destination point location

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot2

    public IParticleTrajectory rot2(IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation on xy-plane; alias of rot(IDoubleI)

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### rot2

    public IParticleTrajectory rot2(double angle)

  Description copied from interface: `IVecI`
  rotation on xy-plane; alias of rot(double)

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### rot2

    public IParticleTrajectory rot2(IVecI center,
                                    double angle)

  Description copied from interface: `IVecI`
  rotation on xy-plane

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### rot2

    public IParticleTrajectory rot2(IVecI center,
                                    IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation on xy-plane

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### rot2

    public IParticleTrajectory rot2(double centerX,
                                    double centerY,
                                    double angle)

  Description copied from interface: `IVecI`
  rotation on xy-plane

  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### rot2

    public IParticleTrajectory rot2(IVecI destDir)

  Description copied from interface: `IVecI`
  rotation on xy-plane towards destDir

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### rot2

    public IParticleTrajectory rot2(IVecI center,
                                    IVecI destPt)

  Description copied from interface: `IVecI`
  rotation on xy-plane towards destPt

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### scale

    public IParticleTrajectory scale(IDoubleI f)

  Description copied from interface: `IVecI`
  alias of mul

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticle`

### scale

    public IParticleTrajectory scale(double f)

  Description copied from interface: `IVecI`
  alias of mul

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticle`

### scale

    public IParticleTrajectory scale(IVecI center,
                                     IDoubleI f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticle`

### scale

    public IParticleTrajectory scale(IVecI center,
                                     double f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticle`

### scale

    public IParticleTrajectory scale(double centerX,
                                     double centerY,
                                     double centerZ,
                                     double f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticle`

### scale1d

    public IParticleTrajectory scale1d(IVecI axis,
                                       double f)

  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticle`

### scale1d

    public IParticleTrajectory scale1d(IVecI axis,
                                       IDoubleI f)

  Description copied from interface: `IVecI`
  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticle`

### scale1d

    public IParticleTrajectory scale1d(double axisX,
                                       double axisY,
                                       double axisZ,
                                       double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction

  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticle`

### scale1d

    public IParticleTrajectory scale1d(IVecI center,
                                       IVecI axis,
                                       double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticle`

### scale1d

    public IParticleTrajectory scale1d(IVecI center,
                                       IVecI axis,
                                       IDoubleI f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticle`

### scale1d

    public IParticleTrajectory scale1d(double centerX,
                                       double centerY,
                                       double centerZ,
                                       double axisX,
                                       double axisY,
                                       double axisZ,
                                       double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticle`

### ref

    public IParticleTrajectory ref(IVecI planeDir)

  Description copied from interface: `IVecI`
  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IParticle`

### ref

    public IParticleTrajectory ref(double planeX,
                                   double planeY,
                                   double planeZ)

  Description copied from interface: `IVecI`
  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IParticle`

### ref

    public IParticleTrajectory ref(IVecI center,
                                   IVecI planeDir)

  Description copied from interface: `IVecI`
  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IParticle`

### ref

    public IParticleTrajectory ref(double centerX,
                                   double centerY,
                                   double centerZ,
                                   double planeX,
                                   double planeY,
                                   double planeZ)

  Description copied from interface: `IVecI`
  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IParticle`

### mirror

    public IParticleTrajectory mirror(IVecI planeDir)

  Description copied from interface: `IVecI`
  alias of ref

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IParticle`

### mirror

    public IParticleTrajectory mirror(double planeX,
                                      double planeY,
                                      double planeZ)

  Description copied from interface: `IVecI`
  alias of ref

  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IParticle`

### mirror

    public IParticleTrajectory mirror(IVecI center,
                                      IVecI planeDir)

  Description copied from interface: `IVecI`
  alias of ref

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IParticle`

### mirror

    public IParticleTrajectory mirror(double centerX,
                                      double centerY,
                                      double centerZ,
                                      double planeX,
                                      double planeY,
                                      double planeZ)

  Description copied from interface: `IVecI`
  alias of ref

  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IParticle`

### shear

    public IParticleTrajectory shear(double sxy,
                                     double syx,
                                     double syz,
                                     double szy,
                                     double szx,
                                     double sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticle`

### shear

    public IParticleTrajectory shear(IDoubleI sxy,
                                     IDoubleI syx,
                                     IDoubleI syz,
                                     IDoubleI szy,
                                     IDoubleI szx,
                                     IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticle`

### shear

    public IParticleTrajectory shear(IVecI center,
                                     double sxy,
                                     double syx,
                                     double syz,
                                     double szy,
                                     double szx,
                                     double sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticle`

### shear

    public IParticleTrajectory shear(IVecI center,
                                     IDoubleI sxy,
                                     IDoubleI syx,
                                     IDoubleI syz,
                                     IDoubleI szy,
                                     IDoubleI szx,
                                     IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticle`

### shearXY

    public IParticleTrajectory shearXY(double sxy,
                                       double syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticle`

### shearXY

    public IParticleTrajectory shearXY(IDoubleI sxy,
                                       IDoubleI syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticle`

### shearXY

    public IParticleTrajectory shearXY(IVecI center,
                                       double sxy,
                                       double syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticle`

### shearXY

    public IParticleTrajectory shearXY(IVecI center,
                                       IDoubleI sxy,
                                       IDoubleI syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticle`

### shearYZ

    public IParticleTrajectory shearYZ(double syz,
                                       double szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticle`

### shearYZ

    public IParticleTrajectory shearYZ(IDoubleI syz,
                                       IDoubleI szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticle`

### shearYZ

    public IParticleTrajectory shearYZ(IVecI center,
                                       double syz,
                                       double szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticle`

### shearYZ

    public IParticleTrajectory shearYZ(IVecI center,
                                       IDoubleI syz,
                                       IDoubleI szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticle`

### shearZX

    public IParticleTrajectory shearZX(double szx,
                                       double sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticle`

### shearZX

    public IParticleTrajectory shearZX(IDoubleI szx,
                                       IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticle`

### shearZX

    public IParticleTrajectory shearZX(IVecI center,
                                       double szx,
                                       double sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticle`

### shearZX

    public IParticleTrajectory shearZX(IVecI center,
                                       IDoubleI szx,
                                       IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticle`

### translate

    public IParticleTrajectory translate(double x,
                                         double y,
                                         double z)

  Description copied from interface: `IVecI`
  alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IParticle`

### translate

    public IParticleTrajectory translate(IDoubleI x,
                                         IDoubleI y,
                                         IDoubleI z)

  Description copied from interface: `IVecI`
  alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IParticle`

### translate

    public IParticleTrajectory translate(IVecI v)

  Description copied from interface: `IVecI`
  alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IParticle`

### transform

    public IParticleTrajectory transform(IMatrix3I mat)

  Description copied from interface: `IVecI`
  transform with a transformation matrix

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticle`

### transform

    public IParticleTrajectory transform(IMatrix4I mat)

  Description copied from interface: `IVecI`
  transform with a transformation matrix

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticle`

### transform

    public IParticleTrajectory transform(IVecI xvec,
                                         IVecI yvec,
                                         IVecI zvec)

  Description copied from interface: `IVecI`
  transform with a transformation vectors

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticle`

### transform

    public IParticleTrajectory transform(IVecI xvec,
                                         IVecI yvec,
                                         IVecI zvec,
                                         IVecI translate)

  Description copied from interface: `IVecI`
  transform with a transformation vectors

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticle`

### mv

    public IParticleTrajectory mv(double x,
                                  double y,
                                  double z)

  Description copied from interface: `IVecI`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IParticle`

### mv

    public IParticleTrajectory mv(IDoubleI x,
                                  IDoubleI y,
                                  IDoubleI z)

  Description copied from interface: `IVecI`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IParticle`

### mv

    public IParticleTrajectory mv(IVecI v)

  Description copied from interface: `IVecI`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IParticle`

### cp

    public IParticleTrajectory cp()

  Description copied from class: `IObject`
  alias of dup()

  Specified by:
    `cp` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticle`

### cp

    public IParticleTrajectory cp(double x,
                                  double y,
                                  double z)

  Description copied from interface: `IVecI`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticle`

### cp

    public IParticleTrajectory cp(IDoubleI x,
                                  IDoubleI y,
                                  IDoubleI z)

  Description copied from interface: `IVecI`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticle`

### cp

    public IParticleTrajectory cp(IVecI v)

  Description copied from interface: `IVecI`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticle`

### setSize

    public IParticleTrajectory setSize(double sz)

  methods of IPoint

  Overrides:
    `setSize` in class `IParticle`

### size

    public IParticleTrajectory size(double sz)

  Overrides:
    `size` in class `IParticle`

### name

    public IParticleTrajectory name(java.lang.String nm)

  methods of IObject

  Overrides:
    `name` in class `IParticle`

### layer

    public IParticleTrajectory layer(ILayer l)

  Description copied from class: `IObject`
  Set layer by ILayer object

  Overrides:
    `layer` in class `IParticle`

### show

    public IParticleTrajectory show()

  Overrides:
    `show` in class `IParticle`

### hide

    public IParticleTrajectory hide()

  Overrides:
    `hide` in class `IParticle`

### showPoint

    public IParticleTrajectory showPoint()

  Overrides:
    `showPoint` in class `IParticle`

### hidePoint

    public IParticleTrajectory hidePoint()

  Overrides:
    `hidePoint` in class `IParticle`

### showGeometry

    public IParticleTrajectory showGeometry()

  Description copied from class: `IPointAgent`
  show attached geometry

  Overrides:
    `showGeometry` in class `IParticle`

### hideGeometry

    public IParticleTrajectory hideGeometry()

  Description copied from class: `IPointAgent`
  hide attached geometry

  Overrides:
    `hideGeometry` in class `IParticle`

### showTrajectory

    public IParticleTrajectory showTrajectory()

### hideTrajectory

    public IParticleTrajectory hideTrajectory()

### del

    public void del()

  Description copied from class: `IAgent`
  delete agent and stop it by removing it from dynamics server

  Overrides:
    `del` in class `IPointAgent`

### del

    public void del(boolean deleteTrajectory)

  Description copied from class: `IPointAgent`
  stop agent with option of deleting/keeping the geometry the agent owns

  Overrides:
    `del` in class `IPointAgent`

### clr

    public IParticleTrajectory clr(IColor c)

  Description copied from class: `IObject`
  to set an object color

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleTrajectory clr(IColor c,
                                   int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleTrajectory clr(IColor c,
                                   float alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleTrajectory clr(IColor c,
                                   double alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleTrajectory clr(IObject o)

  Description copied from class: `IObject`
  to set the same color with the object

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleTrajectory clr(int gray)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleTrajectory clr(float fgray)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleTrajectory clr(double dgray)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleTrajectory clr(int gray,
                                   int alpha)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleTrajectory clr(float fgray,
                                   float falpha)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleTrajectory clr(double dgray,
                                   double dalpha)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleTrajectory clr(int r,
                                   int g,
                                   int b)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleTrajectory clr(float fr,
                                   float fg,
                                   float fb)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleTrajectory clr(double dr,
                                   double dg,
                                   double db)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleTrajectory clr(int r,
                                   int g,
                                   int b,
                                   int a)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleTrajectory clr(float fr,
                                   float fg,
                                   float fb,
                                   float fa)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleTrajectory clr(double dr,
                                   double dg,
                                   double db,
                                   double da)

  Overrides:
    `clr` in class `IParticle`

### hsb

    public IParticleTrajectory hsb(float h,
                                   float s,
                                   float b,
                                   float a)

  Overrides:
    `hsb` in class `IParticle`

### hsb

    public IParticleTrajectory hsb(double h,
                                   double s,
                                   double b,
                                   double a)

  Overrides:
    `hsb` in class `IParticle`

### hsb

    public IParticleTrajectory hsb(float h,
                                   float s,
                                   float b)

  Overrides:
    `hsb` in class `IParticle`

### hsb

    public IParticleTrajectory hsb(double h,
                                   double s,
                                   double b)

  Overrides:
    `hsb` in class `IParticle`

### setColor

    public IParticleTrajectory setColor(IColor c)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleTrajectory setColor(IColor c,
                                        int alpha)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleTrajectory setColor(IColor c,
                                        float alpha)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleTrajectory setColor(IColor c,
                                        double alpha)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleTrajectory setColor(int gray)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleTrajectory setColor(float fgray)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleTrajectory setColor(double dgray)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleTrajectory setColor(int gray,
                                        int alpha)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleTrajectory setColor(float fgray,
                                        float falpha)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleTrajectory setColor(double dgray,
                                        double dalpha)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleTrajectory setColor(int r,
                                        int g,
                                        int b)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleTrajectory setColor(float fr,
                                        float fg,
                                        float fb)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleTrajectory setColor(double dr,
                                        double dg,
                                        double db)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleTrajectory setColor(int r,
                                        int g,
                                        int b,
                                        int a)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleTrajectory setColor(float fr,
                                        float fg,
                                        float fb,
                                        float fa)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleTrajectory setColor(double dr,
                                        double dg,
                                        double db,
                                        double da)

  Overrides:
    `setColor` in class `IParticle`

### setHSBColor

    public IParticleTrajectory setHSBColor(float h,
                                           float s,
                                           float b,
                                           float a)

  Overrides:
    `setHSBColor` in class `IParticle`

### setHSBColor

    public IParticleTrajectory setHSBColor(double h,
                                           double s,
                                           double b,
                                           double a)

  Overrides:
    `setHSBColor` in class `IParticle`

### setHSBColor

    public IParticleTrajectory setHSBColor(float h,
                                           float s,
                                           float b)

  Overrides:
    `setHSBColor` in class `IParticle`

### setHSBColor

    public IParticleTrajectory setHSBColor(double h,
                                           double s,
                                           double b)

  Overrides:
    `setHSBColor` in class `IParticle`

### weight

    public IParticleTrajectory weight(double w)

  Overrides:
    `weight` in class `IParticle`

### weight

    public IParticleTrajectory weight(float w)

  Overrides:
    `weight` in class `IParticle`

### target

    public IParticleTrajectory target(IObject targetObj)

  add terget object to be updated by this dynamic object.

  Specified by:
    `target` in interface `IDynamics`
  Specified by:
    `target` in interface `IParticleI`
  Overrides:
    `target` in class `IParticle`

### removeTarget

    public IParticleTrajectory removeTarget(int i)

  remove target object.

  Specified by:
    `removeTarget` in interface `IDynamics`
  Specified by:
    `removeTarget` in interface `IParticleI`
  Overrides:
    `removeTarget` in class `IParticle`

### removeTarget

    public IParticleTrajectory removeTarget(IObject obj)

  remove target object.

  Specified by:
    `removeTarget` in interface `IDynamics`
  Specified by:
    `removeTarget` in interface `IParticleI`
  Overrides:
    `removeTarget` in class `IParticle`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD